<nav class="navbar navbar-dark bg-dark navbar-expand-md">
  <img
    class="img-fluid mr-3"
    src="https://lh3.googleusercontent.com/SNwSG5QncDnlCFwH94P2uuK9XFCdudIpy-2mBi7CXBsJmMaf0k0ot0TTuqkTRNoSa6rd=h200"
    alt=""
  />
  <a href="#" class="navbar-brand nav-item"
    ><span class="navbartitle">
      B<span class="sc_title">L</span>ADE
      <span class="sc_title">S</span>CHOOL</span
    ></a
  >

  <button
    class="navbar-toggler"
    data-bs-toggle="collapse"
    data-bs-target="#navbar"
  >
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="navbar-collapse collapse" id="navbar">
    <ul class="navbar-nav mr-auto" routerLinkActive="active">
      <li class="nav-item">
        <a class="nav-link" routerLink="home"
          ><span class="navbartitle">
            <div class="fa-solid fa-house-user mr-1"></div>
            Home</span
          >
        </a>
      </li>
      <li class="nav-item" *ngIf="showAdminBoard">
        <a class="nav-link" routerLink="admin"
          ><span class="navbartitle"> SuperAdmin</span></a
        >
      </li>
      <li class="nav-item" *ngIf="showModeratorBoard">
        <a class="nav-link" routerLink="mod"
          ><span class="navbartitle"> Staff-portal</span></a
        >
      </li>
      <li class="nav-item">
        <a href="/user" class="nav-link" *ngIf="isLoggedIn" routerLink="user"
          ><span class="navbartitle"> Student Page</span></a
        >
      </li>
    </ul>

    <ul class="navbar-nav ml-auto" *ngIf="!isLoggedIn">
      <li class="nav-item">
        <a class="nav-link" routerLink="register"
          ><span class="navbartitle"
            ><div class="fa-solid fa-user-plus mr-1"></div>
            Sign Up</span
          ></a
        >
      </li>
      <li class="nav-item">
        <a href="/login" class="nav-link" routerLink="login"
          ><span class="navbartitle"
            ><div class="fa-solid fa-right-to-bracket mr-1"></div>
            Login</span
          ></a
        >
      </li>
    </ul>

    <ul class="navbar-nav ml-auto" *ngIf="isLoggedIn">
      <li class="nav-item">
        <a class="nav-link" routerLink="profile"
          ><span class="navbartitle">Profile : {{ username }}</span></a
        >
      </li>
      <li class="nav-item">
        <a href class="nav-link" (click)="logout()"
          ><span class="navbartitle"> LogOut</span></a
        >
      </li>
    </ul>
  </div>
</nav>
<div class="container">
  <router-outlet></router-outlet>
</div>
<div><app-footer></app-footer></div>
